package applications.trakla2.datalogging;

import java.io.Serializable;
import java.util.Date;


public abstract class ExerciseData implements Serializable {
    static final long serialVersionUID = -8307143358041342844L;

    public abstract String operationName();


    String fileName;

    /**
     * Get the value of fileName.
     * @return value of fileName.
     */
    public String getFileName() {
        return fileName;
    }

    /**
     * Set the value of fileName.
     * @param v  Value to assign to fileName.
     */
    public void setFileName(String  v) {
        this.fileName = v;
    }


    String exerciseClassName;

    /**
     * Get the value of exerciseClassName.
     * @return value of exerciseClassName.
     */
    public String getExerciseClassName() {
        return exerciseClassName;
    }

    /**
     * Set the value of exerciseClassName.
     * @param v  Value to assign to exerciseClassName.
     */
    public void setExerciseClassName(String  v) {
        this.exerciseClassName = v;
    }



    private Date timeStamp;

    public Date getTimeStamp() {
        return timeStamp;
    }

    public void setTimeStamp(Date _timeStamp) {
        timeStamp = _timeStamp;
    }



    long seed = 0;

    public long getSeed() {
        return seed;
    }

    public void setSeed(long _seed) {
        seed = _seed;
    }




    String studentid;

    public String getStudentid()  {
        return studentid;
    }

    public void setStudentid(String v) {
    	/*
    	if (v != null)
            studentid = v.toLowerCase();
        else
            studentid = null;
            */
    	studentid = v;
    }



    String courseCode;

    public String getCourseCode() {
        return courseCode;
    }


    public void setCourseCode(String v) {
        courseCode = v;
    }




    int round ;

    public int getRound() {
        return round;
    }

    public void setRound(int v) {
        round = v;
    }


    int exerciseNumber;

    public int getExerciseNumber() {
        return exerciseNumber;
    }

    public void setExerciseNumber(int v) {
        exerciseNumber = v;
    }

    int maxPoints;

    public int getMaxPoints() {
	return maxPoints;
    }

    public void setMaxPoints(int value) {
	maxPoints = value;
    }

    String fingerprint;

    public String getFingerprint() {
	return fingerprint;
    }

    public void setFingerprint(String value) {
	fingerprint = value;
    }

    public String toString() {

        StringBuffer buf = new StringBuffer();

        buf.append("timeStamp=");
        buf.append(getTimeStamp());
        buf.append(";operationName=");
        buf.append(operationName());

        buf.append(";courseCode=");
        buf.append(getCourseCode());

        buf.append(";round=");
        buf.append(getRound()+"");

        buf.append(";exerciseNumber=");
        buf.append(getExerciseNumber()+"");

        buf.append(";studentid=");
        buf.append(getStudentid());

        buf.append(";exerciseClassName=");
        buf.append(getExerciseClassName());

        buf.append(";seed=");
        buf.append(getSeed());

        return buf.toString();

    }


}






