package applications.trakla2.datalogging;




public class ModelAnswerData extends ExerciseData {
 static final long serialVersionUID = -8676790841308586264L;

    public String operationName() { return "model_answer_closed"; }

    int[] animationStepIndices;

    /**
     * Get the value of animationStepIndices.
     * @return value of animationStepIndices.
     */
    public int[] getAnimationStepIndices() {
        return animationStepIndices;
    }

    /**
     * Set the value of animationStepIndices.
     * @param v  Value to assign to animationStepIndices.
     */
    public void setAnimationStepIndices(int[]  v) {
        this.animationStepIndices = v;
    }


    public String animationStepIndicesToString() {
        int[] steps = animationStepIndices;
        StringBuffer buf = new StringBuffer();
        String sep = "";
        for (int i = 0; i < steps.length; i++,sep=" ") {
            buf.append(sep);
            buf.append(steps[i]);
        }
        return buf.toString();
    }



    public String toString() {
        StringBuffer buf = new StringBuffer();
        buf.append(super.toString());

        buf.append(";animationStepIndices=");
        buf.append(animationStepIndicesToString());

        buf.append(";fileName=");
        buf.append(getFileName());


        return buf.toString();
    }


}






