package applications.trakla2.viewer;

import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

public class FingerprintHelper {
    public static String getFingerprint(String course, int round, int exercise, 
					String studentId, int maxPoints,
					String exerciseClass) {
	if(studentId == null)
	    return "";
	String fp =  course + round + exercise + maxPoints + "mina3lahden0kohta17syomaan" +
	    exerciseClass + studentId.toUpperCase();
	return fp.trim();
    }

    public static String calculateMD5(String s) throws NoSuchAlgorithmException  {
	MessageDigest md5Digest = MessageDigest.getInstance("MD5");
	return asHex(md5Digest.digest(s.getBytes()));
    }

    private static String asHex(byte[] b) {
        char hex[] = {'0','1','2','3','4','5','6','7','8','9','a','b','c','d','e','f'};
	
	StringBuffer resultString= new StringBuffer();
	for (int i=0; i<b.length;i++){
	    resultString.append(hex[(b[i]>>4)&15]);
	    resultString.append(hex[b[i]&15]);
	}
        return resultString.toString();
    }
}
