package content.interfaces;
/**
       By default buttons are laid out underneath each other. If there
       are a lot of button, it would be convinient set some buttons
       next to each other.<p>

       ButtonGroups interface makes it possible to makes the user interface
       arrange buttons in groups. In the following A and B belong to the
       same group and C, D and E in the same group.
       <pre>
       A B
       C D E
       </pre>

*/
public interface ButtonGroups {

    /**

       Returns an integer array that contains the indices of those
       buttons that start a new button group. In the preceding
       example buttonGroups should return an array of size 1 that
       contains 2.
     */
    public int[] buttonGroups();


}
