package matrix.structures.spatial;

/**
 * A marker interface that indicates that the shape of this Area is rectangular.
 * In essence the matrix.structures.spatial.FDT.probe.Polygon returned by 
 * getBoundingPolygon -method should return an instance of Rectangle, or
 * at least a rectangular Polygon.
 * @author Jussi Nikander
 *
 */
public interface RectangularArea extends Area{

}
