package applications.previewapplet;

import javax.swing.JApplet;
import java.awt.Button;
import java.awt.event.*;

import matrix.util.configuration.MatrixConfiguration;


public class MatrixApplet extends JApplet {

    private static final long serialVersionUID = 7677574978451152206L;

    public void init() {
        
        MatrixConfiguration.setCodebaseURL(getCodeBase().toString());
        MatrixConfiguration.getInstance();
        
        Button launch = new Button("Launch Matrix applet in new window");
        launch.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent evt) {
                launch();
            }
        });
        add(launch);        
    }
    
    void launch() {
        new AppletFrame().setVisible(true);
    }
    
}
