package applications.trakla2.server;

import java.rmi.*;
import java.util.Map;

import applications.trakla2.datalogging.*;

public interface ExerciseSession extends Remote {

    public long getSeed() throws RemoteException ;

    public String getStudentid()  throws RemoteException ;

    public void setStudentid(String v) throws RemoteException ;

    public String getCourseCode() throws RemoteException ;

    public void setCourseCode(String v) throws RemoteException ;

    public int getRound() throws RemoteException ;

    public void setRound(int v) throws RemoteException ;

    public int getExerciseNumber() throws RemoteException ;

    public void setExerciseNumber(int v) throws RemoteException ;
    public void setExerciseClassName(String s) throws RemoteException;
    public String getExerciseClassName() throws RemoteException;
    public void init(InitData data) throws RemoteException ;

    public void reset(ResetData data) throws RemoteException ;

    public void startIdle() throws RemoteException ;

    public void endIdle() throws RemoteException ;

    public void modelAnswerOpened(ModelAnswerOpenedData data) throws RemoteException ;

    public void modelAnswerClosed(ModelAnswerData data) throws RemoteException ;

    public void grade(GradeData data) throws RemoteException ;

    public Map submit(SubmissionData data) throws RemoteException ;


}
