package applications.trakla2.util;

import java.awt.FileDialog;
import java.awt.Frame;
import java.io.File;
import java.io.FileInputStream;
import java.io.ObjectInputStream;


import applications.trakla2.datalogging.SubmissionData;

public class SubmissionPayloadReader {
    public static void main(String args[]){
        FileDialog fd = new FileDialog(new Frame(),
                "Select file",
                FileDialog.LOAD);
        fd.setVisible(true);
        String fileName = fd.getDirectory() + fd.getFile();
        if (fileName == null)
            return;

        try {
            FileInputStream istream = new FileInputStream(new File(fileName));
            ObjectInputStream p = new ObjectInputStream(istream);
            SubmissionData data = (SubmissionData)p.readObject();

            
            Object payloads[] = data.getAvailablePayloads();
            for (int i=0; i<payloads.length; i++){
                System.out.println("Loaded: " + payloads[i]+"\n---");
            }
            istream.close();
            
        }
        catch (Exception e) {
            e.printStackTrace();
        }   
        
    }
}
