/**
 * This interface can be used to convey information about visualtype placement
 * with a layout that has been split into many columns
 * Otto Sepp&auml;l&auml; 3.2.2004
 */

package content.interfaces;
public interface UsesSplit{

    /**
     * Returns an integer array that identifies the column in which the corresponding VisualType should be placed
     */
    public int[] getPanelInfo();

    /**
     * Returns the desired number of columns in the layout
     */
    public int getNumberOfPanels();

}
