package matrix.animation;

import matrix.structures.FDT.FDT;
import java.io.Serializable;

public class AnimatedStructures implements Serializable  {

    private static final long serialVersionUID = 6560234118742578171L;

    private FDT[] structures; 
    private Animator animator; 

    public AnimatedStructures(FDT[] structures, Animator animator){
        this.structures = structures;
        this.animator   = animator;
    }
    
    public FDT[] getStructures() {        
        return this.structures;
    }

    public void setStructures(FDT[] structures) {        
        this.structures = structures;
    }

    public Animator getAnimator() {        
        return this.animator;
    }

    public void setAnimator(Animator animator) {        
        this.animator = animator;
    }
}



