/*
 * Matrix -- algorithm simulation system
 * Copyright (C) 2000-2004 Matrix group
 * (See the AUTHORS file and the author tag below for more information
 * on the authors.)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/* $Id: StaticGeometricGraph.java,v 1.2 2006/05/24 14:17:40 vkaravir Exp $ */
/* 24/05/2006 moved from package matrix.structures.FDT (vkaravir) */ 

package matrix.structures.FDT.indexed;

import matrix.structures.FDT.Graph;
import matrix.structures.coordinates.*;

/** An interface for geometric graphs in xy coordinate system. */
public interface StaticGeometricGraph extends Graph, StaticXYCoordinates {

}
