// MatrixPro - algorithm simulation system
// Copyright (C) 2000-2007 See the AUTHORS file and the author tag
// below for more information on the authors.
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

package matrixpro.ui;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JApplet;
import javax.swing.JButton;

import matrix.util.configuration.MatrixConfiguration;

/**
 * Applet version of the application.
 * 
 * @version $Id: ProApplet.java,v 1.14 2007/09/10 08:35:55 vkaravir Exp $
 */
public class ProApplet extends JApplet {
    public void init() {
        MatrixConfiguration.setInputStream(new matrixpro.util.FileHelper()
                .getClass().getResourceAsStream("/matrixconf.xml"));
        /*
         * PropertiesHandler.setCodebaseURL(getCodeBase().toString());
         * MatrixConfiguration.setCodebaseURL(getCodeBase().toString());
         * MatrixConfiguration.setUrl(PropertiesHandler.getProperty("matrixpro.file.url") +
         * "matrixconf.xml");
         */
        MatrixConfiguration.setJarFile("matrixpro.jar");
        MatrixConfiguration.getInstance();

        JButton launch = new JButton("Start MatrixPro");
        launch.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent evt) {
                launch();
            }
        });
        add(launch);
    }

    /**
     * Creates a new MainFrame and shows it.
     */
    private void launch() {
        AppletFrame frame = new AppletFrame();
        frame.setVisible(true);
    }
}
